using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using EQNetwork.Objects;
using EQNetwork.Interfaces;
using EQNetwork.Utility;

namespace EQNetwork.Services
{
    public partial class PostService : IPostService
    {
        public EQTask Get(int postId, Action<Post, EQException> onComplete) { return _api.Post_Get(postId, onComplete); }

        public EQTask Create(Post post, Action<Post, EQException> onComplete) { return _api.Post_Create(post, onComplete); }

        public EQTask Update(Post post, Action<Post, EQException> onComplete) { return _api.Post_Update(post, onComplete); }

        public EQTask Delete(Post post, Action<EQException> onComplete) { return _api.Post_Delete(post, onComplete); }
        public EQTask Delete(int postId, Action<EQException> onComplete) { return _api.Post_Delete(postId, onComplete); }
    }
}
